﻿using System;

namespace Falcon.SugarApi.Proxy
{
    /// <summary>
    /// 属性没有找到的异常
    /// </summary>
    public class PropNotFoundException:Exception
    {
        /// <summary>
        /// 构造属性没有找到的异常
        /// </summary>
        /// <param name="propName">属性名称</param>
        public PropNotFoundException(string propName) {
            PropName = propName;
        }
        /// <summary>
        /// 属性名称
        /// </summary>
        public string PropName { get; }
    }
}
