﻿using System.Collections.Generic;
using System.Security.Claims;

namespace Falcon.SugarApi.ClaimTicket
{
    /// <summary>
    /// 票据生成接口
    /// </summary>
    public interface ITicketBuilder
    {
        /// <summary>
        /// 根据用户生成票据
        /// </summary>
        /// <param name="userTicket">用户票据</param>
        /// <returns>ticket</returns>
        string? GetTicket(UserTicket userTicket);
        /// <summary>
        /// 通过ticket获取用户
        /// </summary>
        /// <param name="ticket">token</param>
        /// <returns>声明组</returns>
        UserTicket? GetUser(string ticket);

    }
}
