﻿using System.Linq;
using System.Security.Claims;

namespace Falcon.SugarApi.FalconClaim
{
    /// <summary>
    /// ITokenBuilter扩展
    /// </summary>
    public static class ITokenBuilterExtend
    {
        /// <summary>
        /// 根据声称组生成token
        /// </summary>
        /// <param name="tokenBuilter">TokenBuilder</param>
        /// <param name="claims">声称组</param>
        /// <returns>token</returns>
        public static string? GetToken(this ITokenBuilter tokenBuilter,params Claim[] claims)
               => tokenBuilter.GetToken(claims.ToList());
    }
}
