﻿using System;

namespace Falcon.SugarApi.Proxy
{
    /// <summary>
    /// 方法没有找到的异常
    /// </summary>
    public class MethodNotFoundException:Exception
    {
        /// <summary>
        /// 构造属性没有找到的异常
        /// </summary>
        /// <param name="methodName">属性名称</param>
        public MethodNotFoundException(string methodName) {
            MethodName = methodName;
        }
        /// <summary>
        /// 属性名称
        /// </summary>
        public string MethodName { get; }
    }
}
